Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Linux :: Mandrake/Mandriva :: bu-1173.htm

irssi vulns



irssi
irssi




-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                       MDVSA-2009:133-1
http://www.mandriva.com/security/ 
 _______________________________________________________________________

 Package : irssi
 Date    : December 8, 2009
 Affected: 2008.0
 _______________________________________________________________________

 Problem Description:

 A vulnerability has been found and corrected in irssi:
 
 Off-by-one error in the event_wallops function in
 fe-common/irc/fe-events.c in irssi 0.8.13 allows remote IRC servers
 to cause a denial of service (crash) via an empty command, which
 triggers a one-byte buffer under-read and a one-byte buffer underflow
 (CVE-2009-1959).
 
 This update provides fixes for this vulnerability.

 Update:

 Packages for 2008.0 are being provided due to extended support for
 Corporate products.
 _______________________________________________________________________

 References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1959 
 _______________________________________________________________________

 Updated Packages:

 Mandriva Linux 2008.0:
 fa432c6f476c577c4d47f255cbf6b55b  2008.0/i586/irssi-0.8.11-1.2mdv2008.0.i586.rpm
 2ec2fe62932c7bf27127d967c029c884  2008.0/i586/irssi-devel-0.8.11-1.2mdv2008.0.i586.rpm
 ac45297904ab1ba826ea6ac6bf9b408e  2008.0/i586/irssi-perl-0.8.11-1.2mdv2008.0.i586.rpm 
 dfb062f1611f0d4578d291fe96d7d50a  2008.0/SRPMS/irssi-0.8.11-1.2mdv2008.0.src.rpm

 Mandriva Linux 2008.0/X86_64:
 3e0f1a77a249afe1caa91cd326f07b2e  2008.0/x86_64/irssi-0.8.11-1.2mdv2008.0.x86_64.rpm
 e2cdb891cb472be7ea089f5faa7e17cd  2008.0/x86_64/irssi-devel-0.8.11-1.2mdv2008.0.x86_64.rpm
 2e1f29792435cac9e09718c062484109  2008.0/x86_64/irssi-perl-0.8.11-1.2mdv2008.0.x86_64.rpm 
 dfb062f1611f0d4578d291fe96d7d50a  2008.0/SRPMS/irssi-0.8.11-1.2mdv2008.0.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories 

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLHmmQmqjQ0CJFipgRAqqBAJ95EAp0Bhnv7fuJEaDmiUvDG6fORwCgiEbU
BLhGl3i2+jdJOqypTwRqTOs=nvf/
-----END PGP SIGNATURE-----



TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH